package com.example.switchyard.switchyard_example.impl;

import org.switchyard.Context;
import org.switchyard.component.soap.composer.SOAPBindingData;
import org.switchyard.component.soap.composer.SOAPContextMapper;

public class CustomContextMapper extends SOAPContextMapper {

    @Override
    public void mapTo(Context context, SOAPBindingData target) throws Exception {
        
        super.mapTo(context, target);
        //this super.mapTo copies to response the transfer-encoding:chunked header
        target.getHttpHeaders().remove("transfer-encoding");
        
    }

    
    
}
